Name: libchipcard
Summary: A library for easy access to smart cards (chipcards)
Version: 5.1.6
Release:    2%{?dist}
Source0: https://www.aquamaniac.de/rdm/attachments/download/382/libchipcard-%{version}.tar.gz
Source1: https://www.aquamaniac.de/rdm/attachments/download/381/libchipcard-%{version}.tar.gz.asc
Source2: keyfile.asc
License: LGPL-2.0-only and GPL-2.0-or-later and LGPL-2.1-or-later
URL: https://www.aquamaniac.de/rdm/projects/libchipcard

BuildRequires: gcc-c++
BuildRequires: gwenhywfar-devel
BuildRequires: libsysfs-devel
BuildRequires: pcsc-lite-devel
BuildRequires: zlib-devel
BuildRequires: gnupg2

%description 
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "GeldKarte" and FinTS (homebanking, formerly known as HBCI) 
cards (both type 0 and type 1).
It accesses the readers via CTAPI or IFD interfaces and has successfully
been tested with Towitoko, Kobil, SCM, Orga, Omnikey and Reiner-SCT readers.
This package contains the chipcard-daemon needed to access card readers.

%package devel
Summary: Development headers for libchipcard
Requires: %{name} = %{version}-%{release}
Requires: gwenhywfar-devel

%description devel
This package contains chipcard-config and header files for writing
drivers, services or even your own chipcard daemon for LibChipCard.


%prep
%autosetup -n %{name}-%{version}

%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%build

%configure \
  --disable-static

%make_build


%install

%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la

pushd tutorials
make clean
rm -rf .deps
rm -f Makefile*
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README ChangeLog
%license COPYING
%{_libdir}/libchipcard.so.6*
%{_libdir}/gwenhywfar/plugins/79/
%{_datadir}/chipcard
%{_bindir}/cardcommander
%{_bindir}/chipcard*
%{_bindir}/geldkarte
%{_bindir}/kvkcard
%{_bindir}/memcard
%{_bindir}/usbtan-test
%{_bindir}/zkacard-tool
%{_sysconfdir}/chipcard/

%files devel
%doc doc/ tutorials
%{_libdir}/libchipcard.so
%{_includedir}/libchipcard5/
%{_libdir}/pkgconfig/libchipcard-client.pc
%{_libdir}/pkgconfig/libchipcard-server.pc
%{_datadir}/aclocal/chipcard.m4


%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 5.1.6-2
- Rebuilt for loongarch64

* Tue Sep 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.6-1
- initial build
